Multiple vulnerabilities in macOS Monterey



Published: 2021-12-14 | Updated: 2022-09-26
Risk High
Patch available YES
Number of vulnerabilities 53
CVE-ID CVE-2021-30964
CVE-2021-30979
CVE-2021-30940
CVE-2021-30941
CVE-2021-30995
CVE-2021-30968
CVE-2021-30946
CVE-2021-30947
CVE-2021-30975
CVE-2021-30767
CVE-2021-30970
CVE-2021-30973
CVE-2021-30965
CVE-2021-30934
CVE-2021-30936
CVE-2021-30951
CVE-2021-30952
CVE-2021-30984
CVE-2021-30953
CVE-2021-30954
CVE-2021-30938
CVE-2021-30929
CVE-2021-30971
CVE-2021-30987
CVE-2021-30977
CVE-2021-30950
CVE-2021-30960
CVE-2021-30986
CVE-2021-30966
CVE-2021-30926
CVE-2021-30942
CVE-2021-30957
CVE-2021-30958
CVE-2021-30945
CVE-2021-30939
CVE-2021-30990
CVE-2021-30981
CVE-2021-30996
CVE-2021-30982
CVE-2021-30937
CVE-2021-30927
CVE-2021-30980
CVE-2021-30949
CVE-2021-30993
CVE-2021-30955
CVE-2021-30976
CVE-2021-30944
CVE-2021-31009
CVE-2021-30943
CVE-2021-31000
CVE-2021-31007
CVE-2021-30935
CVE-2021-30972
CWE-ID CWE-277
CWE-119
CWE-125
CWE-362
CWE-264
CWE-284
CWE-371
CWE-416
CWE-190
CWE-843
CWE-20
CWE-787
CWE-200
Exploitation vector Network
Public exploit Public exploit code for vulnerability #35 is available.
Vulnerability #36 is being exploited in the wild.
Vulnerability #40 is being exploited in the wild.
Public exploit code for vulnerability #45 is available.
Vulnerable software
Subscribe
macOS
Operating systems & Components / Operating system

Vendor Apple Inc.

Security Bulletin

This security bulletin contains information about 53 vulnerabilities.

1) Insecure Inherited Permissions

EUVDB-ID: #VU58882

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30964

CWE-ID: CWE-277 - Insecure inherited permissions

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to insecure permissions inheritance in TCC feature. A malicious application can to bypass Privacy preferences.


Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Buffer overflow

EUVDB-ID: #VU58873

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30979

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a boundary error when processing USD or ABC files within the Model I/O subsystem. A remote attacker can create a specially crafted file, trick the victim into opening it, trigger memory corruption and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978
http://www.zerodayinitiative.com/advisories/ZDI-22-358/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

3) Out-of-bounds read

EUVDB-ID: #VU58874

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30940

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition within the Model I/O subsystem when processing USD files. A remote attacker can create a specially crafted USD file, trick the victim into opening it, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

4) Out-of-bounds read

EUVDB-ID: #VU58875

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30941

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition within the Model I/O subsystem when processing USD files. A remote attacker can create a specially crafted USD file, trick the victim into opening it, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

5) Race condition

EUVDB-ID: #VU58876

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30995

CWE-ID: CWE-362 - Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a race condition in the Preferences feature. A local user can exploit the race and gain unauthorized access to sensitive information and escalate privileges on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978
http://www.zerodayinitiative.com/advisories/ZDI-22-360/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

6) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58877

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30968

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to a validation issue in the Sandbox feature, related to hard link behavior. A malicious application can bypass certain Privacy preferences.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

7) Security restrictions bypass

EUVDB-ID: #VU58878

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30946

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to a logic issue in the Sandbox feature. A malicious application can bypass certain Privacy preferences.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

8) Improper access control

EUVDB-ID: #VU58879

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30947

CWE-ID: CWE-284 - Improper Access Control

Exploit availability: No

Description

The vulnerability allows a local application to gain unauthorized access to otherwise restricted information.

The vulnerability exists due to improper access restrictions within Sandbox implementation. A local application can bypass implemented security restrictions and access user's files.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

9) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58880

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30975

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to a design issue within the Script Editor. A malicious OSAX scripting addition can bypass Gatekeeper checks and circumvent sandbox restrictions.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

10) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58881

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30767

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local user to bypass implemented security restrictions.

The vulnerability exists due to a logic issue in the TCC feature. A local user can modify protected parts of the file system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

11) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58883

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30970

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to logic issue in TCC feature. A malicious application is able to bypass Privacy preferences.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

12) Out-of-bounds read

EUVDB-ID: #VU58871

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30973

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition within the Model I/O subsystem. A remote attacker can create a specially crafted file, trick the victim into opening it, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

13) State Issues

EUVDB-ID: #VU58884

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30965

CWE-ID: CWE-371 - State Issues

Exploit availability: No

Description

The vulnerability allows a local application to perform a denial of service (DoS) attack.

The vulnerability exists due to a logic issue in the TCC feature. A malicious application is able to cause a denial of service to Endpoint Security clients.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

14) Buffer overflow

EUVDB-ID: #VU58885

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30934

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a boundary error in WebKit. A remote attacker can create a specially crafted web page, trick the victim into opening it, trigger memory corruption and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

15) Use-after-free

EUVDB-ID: #VU58886

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30936

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error in WebKit when processing HTML content. A remote attacker can create a specially crafted web page, trick the victim into opening it, trigger a use-after-free error and execute arbitrary code on the system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

16) Use-after-free

EUVDB-ID: #VU58887

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30951

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error in WebKit when processing HTML content. A remote attacker can create a specially crafted web page, trick the victim into opening it, trigger a use-after-free error and execute arbitrary code on the system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

17) Integer overflow

EUVDB-ID: #VU58888

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30952

CWE-ID: CWE-190 - Integer Overflow or Wraparound

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to integer overflow in WebKit. A remote attacker can trick the victim to visit a specially crafted web page, trigger an integer overflow and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

18) Race condition

EUVDB-ID: #VU58889

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30984

CWE-ID: CWE-362 - Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise the affected system.

The vulnerability exists due to a race condition in WebKit. A local user can trick the victim to visit a specially crafted website, trigger a race condition and execute arbitrary code on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

19) Out-of-bounds read

EUVDB-ID: #VU58890

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30953

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing HTML content in WebKit. A remote attacker can create a specially crafted website, trick the victim into opening it using the affected software, trigger out-of-bounds read error and execute arbitrary code on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

20) Type Confusion

EUVDB-ID: #VU58891

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30954

CWE-ID: CWE-843 - Access of Resource Using Incompatible Type ('Type Confusion')

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a type confusion error in WebKit. A remote attacker can trick the victim to visit a specially crafted website, trigger a type confusion error and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

21) Input validation error

EUVDB-ID: #VU58892

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30938

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a local user to perform a denial of service (DoS) attack.

The vulnerability exists due to insufficient validation of user-supplied input within the Wi-Fi subsystem. A local user can cause unexpected system termination or read kernel memory.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

22) Out-of-bounds write

EUVDB-ID: #VU58872

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30929

CWE-ID: CWE-787 - Out-of-bounds Write

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing USD files within the Model I/O subsystem. A remote attacker can create a specially crafted USD file, trick the victim into opening it using the affected software, trigger out-of-bounds write and execute arbitrary code on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

23) Out-of-bounds write

EUVDB-ID: #VU58870

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30971

CWE-ID: CWE-787 - Out-of-bounds Write

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing USD files within the Model I/O subsystem. A remote attacker can create a specially crafted USD file, trick the victim into opening it using the affected software, trigger out-of-bounds write and execute arbitrary code on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

24) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58847

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30987

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a remote attacker to track victim's device.

The vulnerability exists due to permissions issue in Airport implementation. A remote attacker can passively track victim devices BSSIDs.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

25) Buffer overflow

EUVDB-ID: #VU58857

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30977

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a boundary error in Graphics Drivers. A local user can run a specially crafted program to trigger memory corruption and execute arbitrary code with kernel privileges.


Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

26) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58848

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30950

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local user to bypass implemented security restrictions.

The vulnerability exists due to a logic issue in the Archive Utility. A malicious application can bypass Gatekeeper checks.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

27) Out-of-bounds read

EUVDB-ID: #VU58849

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-30960

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition within the Audio subsystem. A remote attacker can create a specially crafted audio file, trick the victim into opening it, trigger out-of-bounds read error and read contents of memory on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

28) Information disclosure

EUVDB-ID: #VU58850

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30986

CWE-ID: CWE-200 - Information Exposure

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a device configuration issue in Bluetooth subsystem. A remote attacker can track victim's device by its Bluetooth MAC address.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

29) Information disclosure

EUVDB-ID: #VU58851

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-30966

CWE-ID: CWE-200 - Information Exposure

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a logic error in the CFNetwork Proxies implementation. User's traffic can be unexpectedly leaked to a proxy server despite PAC configurations.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

30) Buffer overflow

EUVDB-ID: #VU58852

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30926

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a boundary error in ColorSync when processing ICC profiles in images. A remote attacker can create a specially crafted image, trick the victim into opening it, trigger memory corruption and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

31) Buffer overflow

EUVDB-ID: #VU58853

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30942

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a boundary error in ColorSync when processing ICC profiles in images. A remote attacker can create a specially crafted image, trick the victim into opening it, trigger memory corruption and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

32) Buffer overflow

EUVDB-ID: #VU58854

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30957

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a boundary error in CoreAudio when processing media files. A remote attacker can create a specially crafted media file, trick the victim into opening it, trigger memory corruption and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

33) Out-of-bounds read

EUVDB-ID: #VU58855

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30958

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing media files in CoreAudio. A remote attacker can create a specially crafted media file, trick the victim into opening it using the affected software, trigger an out-of-bounds read error and execute arbitrary code on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

34) Input validation error

EUVDB-ID: #VU58856

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30945

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to insufficient validation of user-supplied input in Crash Reporter. A local user can pass specially crafted input to the system and escalate privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

35) Out-of-bounds read

EUVDB-ID: #VU58858

Risk: High

CVSSv3.1:

CVE-ID: CVE-2021-30939

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: Yes

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing DDS images in ImageIO. A remote attacker can create a specially crafted image file, trick the victim into opening it using the affected software, trigger out-of-bounds read error and execute arbitrary code on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978
http://www.zerodayinitiative.com/advisories/ZDI-22-359/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

36) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58869

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30990

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local user to bypass implemented security restrictions.

The vulnerability exists due to a logic issue in the LaunchServices subsystem. A malicious application may bypass Gatekeeper checks.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

37) Buffer overflow

EUVDB-ID: #VU58859

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30981

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a boundary error in Intel Graphics Driver component. A local user can run a specially crafted program to trigger memory corruption and execute arbitraty code with kernel privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

38) Race condition

EUVDB-ID: #VU58860

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30996

CWE-ID: CWE-362 - Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a race condition within the IOMobileFrameBuffer subsystem. A local user can exploit the race and gain unauthorized access to sensitive information and escalate privileges on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

39) Race condition

EUVDB-ID: #VU58861

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-30982

CWE-ID: CWE-362 - Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to a race condition in IOUSBHostFamily subsystem. A remote attacker can pass specially crafted data to the system and perform a denial of service attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

40) Buffer overflow

EUVDB-ID: #VU58862

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30937

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a boundary error in the OS kernel subsystem. A local user can run a specially crafted program to trigger memory corruption and execute arbitrary code with kernel privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

41) Use-after-free

EUVDB-ID: #VU58863

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30927

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a use-after-free error in the OS kernel subsystem. A local user can run a specially crafted program to trigger a use-after-free error and execute arbitrary code with kernel privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

42) Use-after-free

EUVDB-ID: #VU58864

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30980

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a use-after-free error in the OS kernel subsystem. A local user can run a specially crafted program to trigger a use-after-free error and execute arbitrary code with kernel privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

43) Buffer overflow

EUVDB-ID: #VU58865

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30949

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a boundary error in the OS kernel subsystem. A local user can run a specially crafted program to trigger memory corruption and execute arbitrary code with kernel privileges.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

44) Buffer overflow

EUVDB-ID: #VU58866

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-30993

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a boundary error in the OS kernel. A remote attacker on the local network can send specially crafted traffic to the system, trigger memory corruption and execute arbitrary code.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

45) Race condition

EUVDB-ID: #VU58867

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30955

CWE-ID: CWE-362 - Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Exploit availability: Yes

Description

The vulnerability allows a local user to escalate privileges on the system.

The vulnerability exists due to a race condition in the OS kernel. A local user can exploit the race and gain unauthorized access to sensitive information and escalate privileges on the system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

46) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58868

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30976

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local user to bypass implemented security restrictions.

The vulnerability exists due to a logic issue in the LaunchServices subsystem. A malicious application may bypass Gatekeeper checks.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

47) Information disclosure

EUVDB-ID: #VU65681

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30944

CWE-ID: CWE-200 - Information Exposure

Exploit availability: No

Description

The vulnerability allows a local application to gain access to potentially sensitive information.

The vulnerability exists due to a logic error in SQLite implementation. A local application can access data from other apps by enabling additional logging.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

48) Input validation error

EUVDB-ID: #VU65680

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-31009

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a local user to bypass implemented security restrictions.

Multiple security issues exist in the Model I/O subsystem, related to HDF5 support. A local user can bypass implemented security restrictions and gain unauthorized access to sensitive information.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

49) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU65679

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30943

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a remote user to gain access to sensitive information.

The vulnerability exists due to a logic error in the Messages application. A remote user can leave a messages group but continue to receive messages in that group.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

50) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU65678

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-31000

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to improper permissions management in Game Center. A local application can  read sensitive contact information.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

51) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU65677

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-31007

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented security restrictions.

The vulnerability exists due to improper permissions management in File Provider. A local application can bypass Privacy preferences.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

52) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU58893

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30935

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to escalate privileges on the system.

The vulnerability exists due to a logic issue within the Bluetooth subsystem. A local application can execute arbitrary code with kernel privileges.

Mitigation

Install update from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

53) Security restrictions bypass

EUVDB-ID: #VU60031

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2021-30972

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a local application to bypass implemented privacy restrictions.

The vulnerability exists due to improper restrictions in TCC. A malicious application can bypass certain Privacy preferences.

Mitigation

Install update from vendor's website.

Vulnerable software versions

macOS: 12.0 21A344 - 12.0.1 21A559


CPE2.3 External links

http://support.apple.com/en-us/HT212978

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###